Subject: Re: bug#41077: [feature/native-comp] Segfaults when compiling ELC+ELN

From: Kévin Le Gouguec <[email-masked]>
Date: Mon, 04 May 2020 23:05:03 +0200

Andrea Corallo <[email-masked]> writes:

> please try compiling and running this:
>
> https://gcc.gnu.org/onlinedocs/jit/intro/tutorial01.html
>
> we'll know to begin with if this is an issue of the native-comp branch
> or (as I suspect) of the libgccjit package of the distro.

Good guess: that compiles without any warning, then segfaults too.

Should I follow the instructions from
https://gcc.gnu.org/wiki/JIT#Building_it_from_source to get a more
recent libgccjit.so?  Is there a minimal required version, or does the
problem come from something else?  (E.g. the way the distro compiled the
library.)

Feel free to close this report; I can open a new one if needed after I
get the tutorial you mentioned running correctly.

Thank you for taking a look at this.